Policy Transactions
Eligibility Check For Fund Transfer
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/fundtransfer/eligibilitycheck
Authentication
Path Parameters
application/json
Validation Check For Fund Transfer
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Body
application/json
Body
application/json
FundTransferRequest
caseIdstring
Zinnia Live Case ID
Example:CA0000007389
correlationIdstring
effectiveDatestring(date)required
reverseInitiatorboolean
Default:false
transactionAmountsobjectrequired
Show Child Parameters
fundAllocationobjectrequired
Show Child Parameters
fundsobjectrequired
Show Child Parameters
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/fundtransfer/validation
Authentication
Path Parameters
Body
{
"effectiveDate": "effectiveDate",
"transactionAmounts": {
"amountType": "AMOUNT"
},
"fundAllocation": {
"allocationOption": "PRORATA"
},
"funds": {
"transferFrom": [
{
"fundId": "fundId",
"requestedAmount": 124.124213
}
],
"transferTo": [
{
"fundId": "fundId",
"requestedAmount": 124.124213
}
]
}
}
application/json
Fund Transfer Transaction
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Body
application/json
Body
application/json
FundTransferRequest
caseIdstring
Zinnia Live Case ID
Example:CA0000007389
correlationIdstring
effectiveDatestring(date)required
reverseInitiatorboolean
Default:false
transactionAmountsobjectrequired
Show Child Parameters
fundAllocationobjectrequired
Show Child Parameters
fundsobjectrequired
Show Child Parameters
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/fundtransfer
Authentication
Path Parameters
Body
{
"effectiveDate": "effectiveDate",
"transactionAmounts": {
"amountType": "AMOUNT"
},
"fundAllocation": {
"allocationOption": "PRORATA"
},
"funds": {
"transferFrom": [
{
"fundId": "fundId",
"requestedAmount": 124.124213
}
],
"transferTo": [
{
"fundId": "fundId",
"requestedAmount": 124.124213
}
]
}
}
application/json
Eligibility Check For Outgoing Fund Transfer
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/outgoingfundtransfer/eligibilitycheck
Authentication
Path Parameters
application/json
Validation Check For Outgoing Fund Transfer
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Body
application/json
Body
application/json
Outgoingfundtransfer
planCodestring
Example:TEST8
correlationIdstring
Example:oft-corr-001
partyIdstring
Example:owner-party-id-001
policyNumberstring
Example:112132141
businessKeystring
Example:case-12345
transactionNamestring
Example:OutgoingFundTransfer
deleteRequestboolean
requestTypestring
Example:ADD
submitInfoobject
Show Child Parameters
receivedDatestring(date-time)
Example:2026-06-01T10:00:00Z
carrierIdstring
Example:SBGC
caseIdstring
Example:case-12345
effectiveDatestring(date)
Example:2026-06-01
reverseInitiatorboolean
replacementIndicatorboolean
Example:true
typestring
Example:FULLSURRENDER
externalIdentifiersobject
Show Child Parameters
transactionEffectiveOnobject
Show Child Parameters
exchangeInformationobject
Show Child Parameters
transactionAmountsobject
Show Child Parameters
fundAllocationobject
Show Child Parameters
fundDistributionsarray[object]
Show Child Parameters
taxWithholdingInstructionsarray[object]
Show Child Parameters
authorizationDetailsobject
Show Child Parameters
partiesarray[object]
Show Child Parameters
chargesarray[object]
Show Child Parameters
documentsarray[object]
Show Child Parameters
loaTransferValidationobject
Show Child Parameters
selfServeFlowboolean
Example:true
supportingDocumentAttachedboolean
Example:true
isSignValidationRequiredboolean
paperboolean
ownerSignStatusstring
Example:VALID
jointOwnerRoleExistsboolean
Example:true
jointOwnerSignStatusstring
Example:VALID
signaturesarray[object]
Show Child Parameters
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/outgoingfundtransfer/validation
Authentication
Path Parameters
Body
{}
application/json